Subject: [alpine-aports] [PATCH] testing/redshift: upgrade to 1.10

From: Sören Tempel <[email-masked]>
Date: Fri, 14 Aug 2015 17:37:26 +0200

---
 testing/redshift/APKBUILD | 27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

diff --git a/testing/redshift/APKBUILD b/testing/redshift/APKBUILD
index 4718fb8..bbd9785 100644
--- a/testing/redshift/APKBUILD
+++ b/testing/redshift/APKBUILD
@@ -1,29 +1,28 @@
 # Maintainer: 7heo <[email-masked]>
 pkgname=redshift
-pkgver=1.9
+pkgver=1.10
 pkgrel=0
-pkgdesc="Adjusts the color temperature of your screen according to your surroundings."
+pkgdesc="Adjusts the color temperature of your screen according to your surroundings"
 url="http://jonls.dk/redshift/"
 arch="all"
-license="GLPv3"
+license="GLP3"
 depends=""
-depends_dev="libxxf86vm-dev libdrm-dev"
-makedepends="$depends_dev"
+depends_dev="libxcb-dev libxxf86vm-dev libdrm-dev"
+makedepends="$depends_dev intltool"
 install=
 replaces=""
 subpackages="$pkgname-doc"
-source="https://github.com/jonls/redshift/releases/download/v$pkgver/redshift-$pkgver.tar.xz
-	"
+source="https://github.com/jonls/${pkgname}/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.xz"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
 	cd "$_builddir"
+
+	local i=
 	for i in $source; do
 		case "$i" in
 		*.patch)
-			msg "Applying $i"
-			patch -p1 -i "$srcdir"/$i || return 1
-			;;
+			patch -p1 -i "$srcdir"/$i || return 1 ;;
 		esac
 	done
 }
@@ -35,7 +34,9 @@ build() {
 		--host=$CHOST \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
+		--enable-drm \
 		--enable-randr \
+		--enable-vidmode \
 		|| return 1
 	make || return 1
 }
@@ -45,6 +46,6 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="9640218cd9ba88f6d10b347b2277c415  redshift-1.9.tar.xz"
-sha256sums="dbfe96e29b131e3e684528055b89c742be63b15aff38dd2f237b0ad8b9daba76  redshift-1.9.tar.xz"
-sha512sums="16476e68c82ca583e4aa8e18da1e34b944a60f29fa516acfcb220d6c7d94d313a71ef5db049758753ab77e5da603876ed7635c29e64521c611b0179553371ad8  redshift-1.9.tar.xz"
+md5sums="3a5480b8dd5d28a877a0cb407619fd76  redshift-1.10.tar.xz"
+sha256sums="5bc2e70aa414f42dafb45c6e06ea90157d7d4b298af48877144ff442639aeea6  redshift-1.10.tar.xz"
+sha512sums="d84f79ed335ead47941fa0471ef6595ffcdee9f4544da579e4df5ce7dc6e9c286d679999f26683ebf4b397a5bb9847305612cf0843b5e711cad2a50a0741d5bf  redshift-1.10.tar.xz"
-- 
2.5.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Isaac Dunham <[email-masked]>
Date: Fri, 14 Aug 2015 22:52:34 -0700

> +++ b/testing/redshift/APKBUILD

This should be "GPL3".

---

---

From: Sören Tempel <[email-masked]>
Date: Sat, 15 Aug 2015 18:45:58 +0200

> This should be "GPL3".

That's correct and in fact the value of 'license' is 'GPL3' now, it used
to be 'GPLv3' before.

Sören.

---

---

From: Isaac Dunham <[email-masked]>
Date: Sat, 15 Aug 2015 14:34:32 -0700

> That's correct and in fact the value of 'license' is 'GPL3' now, it used

No, the P and the L are reversed in the original and in your patch.

Thanks,
Isaac Dunham

---

---

From: Sören Tempel <[email-masked]>
Date: Sun, 16 Aug 2015 13:59:04 +0200

---
 testing/redshift/APKBUILD | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

index 4718fb8..b62c3ec 100644
@@ -1,29 +1,29 @@
+# Contributor: Sören Tempel <[email-masked]>
+license="GPL3"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
 	cd "$_builddir"
+
+	local i=
 	for i in $source; do
 		case "$i" in
 		*.patch)
-			msg "Applying $i"
-			patch -p1 -i "$srcdir"/$i || return 1
-			;;
+			patch -p1 -i "$srcdir"/$i || return 1 ;;
 		esac
 	done
 }
@@ -35,7 +35,9 @@ build() {
 		--host=$CHOST \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
+		--enable-drm \
 		--enable-randr \
+		--enable-vidmode \
 		|| return 1
 	make || return 1
 }
@@ -45,6 +47,6 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }

---

---

From: Francesco Colista <[email-masked]>
Date: Mon, 17 Aug 2015 13:54:12 +0200

>  1 file changed, 15 insertions(+), 13 deletions(-)

Hello Soren.
This patch does not apply since another patch was applied first, and 
this need rebase.
Since the fix is trivial, i just fixed it.
Thanks for your contribution, though.

-- 
:: Francesco Colista
:: Alpine Linux Infrstraucture
:: http://www.alpinelinux.org

---